# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Parse.pm) perl(Time/Local.pm) perl(Time/Zone.pm) perl(Time/localtime.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           osc-source_validator
Version:        0.1
Release:        alt1_14
License:        GPLv2+
Summary:        Osc source validator
Url:            http://en.opensuse.org/openSUSE:Build_Service_Tools#OSC_source_validator
#the tarball come from gitourious.
#i check out the latest version, same as openSUSE version.
#git://gitorious.org/opensuse/osc-source_validator.git
#git archive --prefix="osc-source_validator-0.1/" --format=tar 0.1| gzip > osc-source_validator-0.1.tar.bz2
Group:          Development/Tools
Source:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:      rpm-build-perl
Requires:       osc
Source44: import.info

%description
Osc source validator is a plugin to osc (openSUSE Build Service Commander).

It is checking valid sources on pre-checkin via this package.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_prefix}/lib/osc/source_validators
cp -a [0-9]* helpers %{buildroot}/%{_prefix}/lib/osc/source_validators

%files
%doc COPYING
%{_prefix}/lib/osc

%changelog
* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_11
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_9
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_8
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_7
- initial fc import

